| Demo HCI Implementation for WiMOD-LR Devices V2.0.3

Public Attributes | List of all members
TWiMODLR_DevMgmt_SystemStatusPlus Struct Reference

Basic information about system status of the WiMOD. More...

`#include <SAP/WiMOD_SAP_DEVMGMT_PLUS_IDs.h>`

## Public Attributes
UINT8 | Status
UINT8 | SysTickResolution
UINT32 | SysTickCounter
UINT32 | RtcTime
UINT16 | NvmStatus
UINT16 | BatteryStatus
UINT16 | ExtraStatus
UINT32 | RxPackets
UINT32 | RxAddressMatch
UINT32 | RxCRCError
UINT32 | TxPackets
UINT32 | TxError
UINT32 | TxMediaBusyEvents

## Detailed Description

Basic information about system status of the WiMOD.

## Member Data Documentation

## ◆ BatteryStatus

UINT16 TWiMODLR_DevMgmt_SystemStatusPlus::BatteryStatus

current voltage level of power supply in mV

## ◆ ExtraStatus

UINT16 TWiMODLR_DevMgmt_SystemStatusPlus::ExtraStatus

extra status bits

## ◆ NvmStatus

UINT16 TWiMODLR_DevMgmt_SystemStatusPlus::NvmStatus

Status of the internal NVM slots

## ◆ RtcTime

UINT32 TWiMODLR_DevMgmt_SystemStatusPlus::RtcTime

32bit encoded current RTC timestamp (

See also
  WIMOD_RTC_* macros)

## ◆ RxAddressMatch

UINT32 TWiMODLR_DevMgmt_SystemStatusPlus::RxAddressMatch

number of received radio packets with CRC and Address OK

## ◆ RxCRCError

UINT32 TWiMODLR_DevMgmt_SystemStatusPlus::RxCRCError

number of received radio packets with CRC Error

## ◆ RxPackets

UINT32 TWiMODLR_DevMgmt_SystemStatusPlus::RxPackets

number of received radio packets with CRC OK

## ◆ Status

UINT8 TWiMODLR_DevMgmt_SystemStatusPlus::Status

status flag; indicates if other values are vaild

## ◆ SysTickCounter

UINT32 TWiMODLR_DevMgmt_SystemStatusPlus::SysTickCounter

virtual systick counter value

## ◆ SysTickResolution

UINT8 TWiMODLR_DevMgmt_SystemStatusPlus::SysTickResolution

systick interval time in ms

## ◆ TxError

UINT32 TWiMODLR_DevMgmt_SystemStatusPlus::TxError

number of not transmitted radio packets

## ◆ TxMediaBusyEvents

UINT32 TWiMODLR_DevMgmt_SystemStatusPlus::TxMediaBusyEvents

number of not transmitted packets due to LBT result “media busy”

## ◆ TxPackets

UINT32 TWiMODLR_DevMgmt_SystemStatusPlus::TxPackets

number of transmitted radio packets

The documentation for this struct was generated from the following file:

- SAP/WiMOD_SAP_DEVMGMT_PLUS_IDs.h